Groovy 1.7.10

## org.codehaus.groovy.ast
[Java] Class PackageNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.PackageNode

    public class PackageNode
    extends AnnotatedNode

Represents a package in the AST.

Authors:
  Paul King

Constructor Summary
`PackageNode(String name)`

Method Summary
`String` | `getName()`
`String` | `getText()` @return the text display of this package definition
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PackageNode

    public PackageNode(String name)

Method Detail

### getName

    public String getName()

### getText

    public String getText()

  Returns:
    the text display of this package definition

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.